package objects;

import java.math.BigDecimal;

public class MatchData {
	private String gameDateColumn;
	private String homeTeamColumn;
	private String awayTeamColumn;
	private Float odds1Column;
	private Float oddsXColumn;
	private Float odds2Column;
	private BigDecimal goalsHomeColumn;
	private BigDecimal goalsAwayColumn;
	private BigDecimal goalDiff;
	private Float avgScoreHomeColumn;
	private Float avgConcededHomeColumn;
	private Float avgScoreAwayColumn;
	private Float avgConcededAwayColumn;
	private String countryColumn;
	private String leagueColumn;

	public MatchData(String gameDateColumn, String homeTeamColumn, String awayTeamColumn, Float odds1Column,
			Float oddsXColumn, Float odds2Column, BigDecimal goalsHomeColumn, BigDecimal goalsAwayColumn, BigDecimal goalDiff,
			Float avgScoreHomeColumn, Float avgConcededHomeColumn, Float avgScoreAwayColumn,
			Float avgConcededAwayColumn, String countryColumn, String leagueColumn) {
		super();
		this.gameDateColumn = gameDateColumn;
		this.homeTeamColumn = homeTeamColumn;
		this.awayTeamColumn = awayTeamColumn;
		this.odds1Column = odds1Column;
		this.oddsXColumn = oddsXColumn;
		this.odds2Column = odds2Column;
		this.goalsHomeColumn = goalsHomeColumn;
		this.goalsAwayColumn = goalsAwayColumn;
		this.goalDiff = goalDiff;
		this.avgScoreHomeColumn = avgScoreHomeColumn;
		this.avgConcededHomeColumn = avgConcededHomeColumn;
		this.avgScoreAwayColumn = avgScoreAwayColumn;
		this.avgConcededAwayColumn = avgConcededAwayColumn;
		this.countryColumn = countryColumn;
		this.leagueColumn = leagueColumn;
	}

	public String getGameDateColumn() {
		return gameDateColumn;
	}

	public String getHomeTeamColumn() {
		return homeTeamColumn;
	}

	public String getAwayTeamColumn() {
		return awayTeamColumn;
	}

	public Float getOdds1Column() {
		return odds1Column;
	}

	public Float getOddsXColumn() {
		return oddsXColumn;
	}

	public Float getOdds2Column() {
		return odds2Column;
	}

	public BigDecimal getGoalsHomeColumn() {
		return goalsHomeColumn;
	}

	public BigDecimal getGoalsAwayColumn() {
		return goalsAwayColumn;
	}

	public BigDecimal getGoalDiff() {
		return goalDiff;
	}

	public Float getAvgScoreHomeColumn() {
		return avgScoreHomeColumn;
	}

	public Float getAvgConcededHomeColumn() {
		return avgConcededHomeColumn;
	}

	public Float getAvgScoreAwayColumn() {
		return avgScoreAwayColumn;
	}

	public Float getAvgConcededAwayColumn() {
		return avgConcededAwayColumn;
	}

	public String getCountryColumn() {
		return countryColumn;
	}

	public String getLeagueColumn() {
		return leagueColumn;
	}

	public void setGameDateColumn(String gameDateColumn) {
		this.gameDateColumn = gameDateColumn;
	}

	public void setHomeTeamColumn(String homeTeamColumn) {
		this.homeTeamColumn = homeTeamColumn;
	}

	public void setAwayTeamColumn(String awayTeamColumn) {
		this.awayTeamColumn = awayTeamColumn;
	}

	public void setOdds1Column(Float odds1Column) {
		this.odds1Column = odds1Column;
	}

	public void setOddsXColumn(Float oddsXColumn) {
		this.oddsXColumn = oddsXColumn;
	}

	public void setOdds2Column(Float odds2Column) {
		this.odds2Column = odds2Column;
	}

	public void setGoalsHomeColumn(BigDecimal goalsHomeColumn) {
		this.goalsHomeColumn = goalsHomeColumn;
	}

	public void setGoalsAwayColumn(BigDecimal goalsAwayColumn) {
		this.goalsAwayColumn = goalsAwayColumn;
	}

	public void setGoalDiff(BigDecimal goalDiff) {
		this.goalDiff = goalDiff;
	}

	public void setAvgScoreHomeColumn(Float avgScoreHomeColumn) {
		this.avgScoreHomeColumn = avgScoreHomeColumn;
	}

	public void setAvgConcededHomeColumn(Float avgConcededHomeColumn) {
		this.avgConcededHomeColumn = avgConcededHomeColumn;
	}

	public void setAvgScoreAwayColumn(Float avgScoreAwayColumn) {
		this.avgScoreAwayColumn = avgScoreAwayColumn;
	}

	public void setAvgConcededAwayColumn(Float avgConcededAwayColumn) {
		this.avgConcededAwayColumn = avgConcededAwayColumn;
	}

	public void setCountryColumn(String countryColumn) {
		this.countryColumn = countryColumn;
	}

	public void setLeagueColumn(String leagueColumn) {
		this.leagueColumn = leagueColumn;
	}
}
